Full name: projects.locations.reasoningEngines.memories.ingestEvents
Ingests events for a Memory Bank.
Endpoint
posthttps://{service-endpoint}/v1beta1/{parent}/memories:ingestEvents
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The resource name of the ReasoningEngine to ingest events to. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}
Request body
The request body contains data with the following structure:
streamIdstring
Optional. The id of the stream to ingest events into. If not provided, a new one will be created.
Optional. Configuration for triggering memory generation from this ingestion. If not set, then the stream will be force flushed immediately.
scopemap (key: string, value: string)
Required. The scope of the memories that should be generated from the stream. Memories will be consolidated across memories with the same scope. scope values cannot contain the wildcard character '*'.
forceFlushboolean
Optional. Forces a flush of all pending events in the stream and triggers memory generation immediately bypassing any conditions configured in the generationTriggerConfig.
sourceUnion type
Ingest events directly from the request.
Response body
If successful, the response body contains an instance of Operation.